org.apache.felix.ipojo

## Interface IPojoFactory.NameGenerator

All Known Implementing Classes:
  IPojoFactory.DefaultNameGenerator, IPojoFactory.RetryNameGenerator

Enclosing class:
  IPojoFactory

    public static interface IPojoFactory.NameGenerator

Generate a unique name for a component instance.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `generate(Factory factory, java.util.List<java.lang.String> reserved)`

### Method Detail

#### generate

    java.lang.String generate(Factory factory,
                              java.util.List<java.lang.String> reserved)
                       throws UnacceptableConfiguration

Parameters:
  `factory` - Factory called to create the instance
  `reserved` - List of reserved (already used) instance names. This has to be used tp ensure generated name is unique among all other instances.
Returns:
  a unique name.
Throws:
  `UnacceptableConfiguration`